* * design : AND2X2  process : typical id : D0000 (2003/06/27 17:19:54) * *
* * ***************** * *
* * COMPONENT CIRCUIT * *
* * ***************** * *
.include '/import/cad2/iit_stdcells/ami06/signalstorm/iit06_stdcells_pads.ipdb/AND2X2.design/simulate/subckt'
.include '/import/cad2/iit_stdcells/ami06/signalstorm/iit06_stdcells_pads.ipdb/NFET.device/simulate/model'
.include '/import/cad2/iit_stdcells/ami06/signalstorm/iit06_stdcells_pads.ipdb/PFET.device/simulate/model'
* *  *******************  * *
* *  INSTANCE DEFINITION  * *
* *  *******************  * *
X_AND2X2
+  VDD
+  GND
+  A
+  B
+  Y
+ AND2X2
V_VDD VDD 0 DC 5
V_GND GND 0 DC 0
V_A A 0 PWL( 0  0  0.1N  0  0.2N  5  0.16U  5  )
V_B B 0 DC 5
V_Y Y Y_ 0
C_Y Y_ 0 50F
* *  ****************  * *
* *  SIMULATION SETUP  * *
* *  ****************  * *
.TEMP 25
.TRAN 10P 0.16U
.IC V(Y)=0
.PROBE TRAN V(VDD)
.PROBE TRAN I(V_VDD)
.PROBE TRAN V(GND)
.PROBE TRAN V(A)
.PROBE TRAN I(V_A)
.MEASURE TRAN point1 FIND V(A) WHEN V(A)=4.975
.PROBE TRAN V(B)
.PROBE TRAN V(Y)
.PROBE TRAN I(V_Y)
.MEASURE TRAN point2 FIND V(Y) WHEN V(Y)=4.975
.OPTIONS PROBE POST=1 ALT999 
.OPTION AUTOSTOP 
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.2N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.1P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.2N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.2N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.6P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.2N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 1.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.4N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 50F
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.4N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.1P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.4N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.4N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.6P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.4N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 1.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.8N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 50F
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.8N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.1P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.8N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.8N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.6P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  0.8N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 1.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  1.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 50F
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  1.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.1P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  1.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  1.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.6P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  1.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 1.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  2.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 50F
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  2.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.1P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  2.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.2P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  2.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 0.6P
.ALTER
V_A A 0 PWL( 0  0  0.1N  0  2.1N  5  0.16U  5  )
V_Y Y Y_ 0
C_Y Y_ 0 1.2P
.END
