
module accu ( bus, dir, clk, reset );
inout  [7:0] bus;
input  dir, clk, reset;
    wire n37, n38, n39, n40, n41, n42, n43, n44, n45, n46, n47, \out[7] , 
        \out[6] , \out[5] , \out[4] , \out[3] , \out[2] , \out[1] , \out[0] , 
        N11, N12, N13, N14, N15, N16, N17, N18, N3, N4, N5, N6, N7, N8, N9, 
        N10, n9, n10, n11, n12, n13, n14, n15, n16, n17, \add_9/carry[4] , 
        \add_9/carry[2] , \add_9/carry[6] , \add_9/carry[7] , \add_9/carry[3] , 
        \add_9/carry[5] , \add_9/carry[1] , n22, n24, n26, n28, n30, n32, n34, 
        n36;
    tri \bus[0] , \bus[1] , \bus[2] , \bus[3] , \bus[4] , \bus[5] , \bus[6] , 
        \bus[7] ;
    tran( \bus[7] , bus[7] );
    tran( \bus[6] , bus[6] );
    tran( \bus[5] , bus[5] );
    tran( \bus[4] , bus[4] );
    tran( \bus[3] , bus[3] );
    tran( \bus[2] , bus[2] );
    tran( \bus[1] , bus[1] );
    tran( \bus[0] , bus[0] );
    AND2X1 U3 ( .A(\out[0] ), .B(n44), .Y(\add_9/carry[1] ) );
    XOR2X1 U4 ( .A(n44), .B(\out[0] ), .Y(N3) );
    AND2X1 U5 ( .A(N10), .B(n9), .Y(N18) );
    AND2X1 U6 ( .A(N9), .B(n9), .Y(N17) );
    AND2X1 U7 ( .A(N8), .B(n9), .Y(N16) );
    AND2X1 U8 ( .A(N7), .B(n9), .Y(N15) );
    AND2X1 U9 ( .A(N6), .B(n9), .Y(N14) );
    AND2X1 U10 ( .A(N5), .B(n9), .Y(N13) );
    AND2X1 U11 ( .A(N4), .B(n9), .Y(N12) );
    AND2X1 U12 ( .A(N3), .B(n9), .Y(N11) );
    INVX1 U13 ( .A(\out[0] ), .Y(n17) );
    INVX1 U14 ( .A(\out[1] ), .Y(n16) );
    INVX1 U15 ( .A(\out[2] ), .Y(n15) );
    INVX1 U16 ( .A(\out[3] ), .Y(n14) );
    INVX1 U17 ( .A(\out[4] ), .Y(n13) );
    INVX1 U18 ( .A(\out[5] ), .Y(n12) );
    INVX1 U19 ( .A(\out[6] ), .Y(n11) );
    INVX1 U20 ( .A(\out[7] ), .Y(n10) );
    INVX1 U21 ( .A(n47), .Y(n9) );
    DFFPOSX1 \out_reg[0]  ( .CLK(n46), .D(N11), .Q(\out[0] ) );
    DFFPOSX1 \out_reg[1]  ( .CLK(n46), .D(N12), .Q(\out[1] ) );
    DFFPOSX1 \out_reg[2]  ( .CLK(n46), .D(N13), .Q(\out[2] ) );
    DFFPOSX1 \out_reg[3]  ( .CLK(n46), .D(N14), .Q(\out[3] ) );
    DFFPOSX1 \out_reg[4]  ( .CLK(n46), .D(N15), .Q(\out[4] ) );
    DFFPOSX1 \out_reg[5]  ( .CLK(n46), .D(N16), .Q(\out[5] ) );
    DFFPOSX1 \out_reg[6]  ( .CLK(n46), .D(N17), .Q(\out[6] ) );
    DFFPOSX1 \out_reg[7]  ( .CLK(n46), .D(N18), .Q(\out[7] ) );
    FAX1 \add_9/U1_5  ( .A(\out[5] ), .B(n39), .C(\add_9/carry[5] ), .YC(
        \add_9/carry[6] ), .YS(N8) );
    FAX1 \add_9/U1_4  ( .A(\out[4] ), .B(n40), .C(\add_9/carry[4] ), .YC(
        \add_9/carry[5] ), .YS(N7) );
    FAX1 \add_9/U1_3  ( .A(\out[3] ), .B(n41), .C(\add_9/carry[3] ), .YC(
        \add_9/carry[4] ), .YS(N6) );
    FAX1 \add_9/U1_2  ( .A(\out[2] ), .B(n42), .C(\add_9/carry[2] ), .YC(
        \add_9/carry[3] ), .YS(N5) );
    FAX1 \add_9/U1_7  ( .A(\out[7] ), .B(n37), .C(\add_9/carry[7] ), .YC(), 
        .YS(N10) );
    FAX1 \add_9/U1_6  ( .A(\out[6] ), .B(n38), .C(\add_9/carry[6] ), .YC(
        \add_9/carry[7] ), .YS(N9) );
    FAX1 \add_9/U1_1  ( .A(\out[1] ), .B(n43), .C(\add_9/carry[1] ), .YC(
        \add_9/carry[2] ), .YS(N4) );
    PADINC U22 ( .DI(n47), .YPAD(reset) );
    PADINC U23 ( .DI(n46), .YPAD(clk) );
    PADINC U24 ( .DI(n45), .YPAD(dir) );
    PADINOUT U25 ( .DI(n44), .DO(n22), .OEN(n45), .YPAD(\bus[0] ) );
    INVX1 U26 ( .A(n17), .Y(n22) );
    PADINOUT U27 ( .DI(n43), .DO(n24), .OEN(n45), .YPAD(\bus[1] ) );
    INVX1 U28 ( .A(n16), .Y(n24) );
    PADINOUT U29 ( .DI(n42), .DO(n26), .OEN(n45), .YPAD(\bus[2] ) );
    INVX1 U30 ( .A(n15), .Y(n26) );
    PADINOUT U31 ( .DI(n41), .DO(n28), .OEN(n45), .YPAD(\bus[3] ) );
    INVX1 U32 ( .A(n14), .Y(n28) );
    PADINOUT U33 ( .DI(n40), .DO(n30), .OEN(n45), .YPAD(\bus[4] ) );
    INVX1 U34 ( .A(n13), .Y(n30) );
    PADINOUT U35 ( .DI(n39), .DO(n32), .OEN(n45), .YPAD(\bus[5] ) );
    INVX1 U36 ( .A(n12), .Y(n32) );
    PADINOUT U37 ( .DI(n38), .DO(n34), .OEN(n45), .YPAD(\bus[6] ) );
    INVX1 U38 ( .A(n11), .Y(n34) );
    PADINOUT U39 ( .DI(n37), .DO(n36), .OEN(n45), .YPAD(\bus[7] ) );
    INVX1 U40 ( .A(n10), .Y(n36) );
endmodule

