
module accu ( bus, dir, clk, reset );
inout  [7:0] bus;
input  dir, clk, reset;
    wire n38, n39, n40, n41, n42, n43, n44, n45, n46, n47, n48, \out[7] , 
        \out[6] , \out[5] , \out[4] , \out[3] , \out[2] , \out[1] , \out[0] , 
        N11, N12, N13, N14, N15, N16, N17, N18, N4, N5, N6, N7, N8, N9, N10, 
        n9, n10, n11, n12, n13, n14, n15, n16, n17, n18, \add_9/carry[4] , 
        \add_9/carry[2] , \add_9/carry[6] , \add_9/carry[7] , \add_9/carry[3] , 
        \add_9/carry[5] , \add_9/carry[1] , n23, n25, n27, n29, n31, n33, n35, 
        n37;
    tri \bus[0] , \bus[1] , \bus[2] , \bus[3] , \bus[4] , \bus[5] , \bus[6] , 
        \bus[7] ;
    tran( \bus[7] , bus[7] );
    tran( \bus[6] , bus[6] );
    tran( \bus[5] , bus[5] );
    tran( \bus[4] , bus[4] );
    tran( \bus[3] , bus[3] );
    tran( \bus[2] , bus[2] );
    tran( \bus[1] , bus[1] );
    tran( \bus[0] , bus[0] );
    NOR2X1 U3 ( .A(n9), .B(n48), .Y(N11) );
    XNOR2X1 U4 ( .A(n45), .B(\out[0] ), .Y(n9) );
    AND2X1 U5 ( .A(\out[0] ), .B(n45), .Y(\add_9/carry[1] ) );
    AND2X1 U6 ( .A(N10), .B(n10), .Y(N18) );
    AND2X1 U7 ( .A(N9), .B(n10), .Y(N17) );
    AND2X1 U8 ( .A(N8), .B(n10), .Y(N16) );
    AND2X1 U9 ( .A(N7), .B(n10), .Y(N15) );
    AND2X1 U10 ( .A(N6), .B(n10), .Y(N14) );
    AND2X1 U11 ( .A(N5), .B(n10), .Y(N13) );
    AND2X1 U12 ( .A(N4), .B(n10), .Y(N12) );
    INVX1 U13 ( .A(\out[0] ), .Y(n18) );
    INVX1 U14 ( .A(\out[1] ), .Y(n17) );
    INVX1 U15 ( .A(\out[2] ), .Y(n16) );
    INVX1 U16 ( .A(\out[3] ), .Y(n15) );
    INVX1 U17 ( .A(\out[4] ), .Y(n14) );
    INVX1 U18 ( .A(\out[5] ), .Y(n13) );
    INVX1 U19 ( .A(\out[6] ), .Y(n12) );
    INVX1 U20 ( .A(\out[7] ), .Y(n11) );
    INVX1 U21 ( .A(n48), .Y(n10) );
    DFFPOSX1 \out_reg[0]  ( .CLK(n47), .D(N11), .Q(\out[0] ) );
    DFFPOSX1 \out_reg[1]  ( .CLK(n47), .D(N12), .Q(\out[1] ) );
    DFFPOSX1 \out_reg[2]  ( .CLK(n47), .D(N13), .Q(\out[2] ) );
    DFFPOSX1 \out_reg[3]  ( .CLK(n47), .D(N14), .Q(\out[3] ) );
    DFFPOSX1 \out_reg[4]  ( .CLK(n47), .D(N15), .Q(\out[4] ) );
    DFFPOSX1 \out_reg[5]  ( .CLK(n47), .D(N16), .Q(\out[5] ) );
    DFFPOSX1 \out_reg[6]  ( .CLK(n47), .D(N17), .Q(\out[6] ) );
    DFFPOSX1 \out_reg[7]  ( .CLK(n47), .D(N18), .Q(\out[7] ) );
    FAX1 \add_9/U1_5  ( .A(\out[5] ), .B(n40), .C(\add_9/carry[5] ), .YC(
        \add_9/carry[6] ), .YS(N8) );
    FAX1 \add_9/U1_4  ( .A(\out[4] ), .B(n41), .C(\add_9/carry[4] ), .YC(
        \add_9/carry[5] ), .YS(N7) );
    FAX1 \add_9/U1_3  ( .A(\out[3] ), .B(n42), .C(\add_9/carry[3] ), .YC(
        \add_9/carry[4] ), .YS(N6) );
    FAX1 \add_9/U1_2  ( .A(\out[2] ), .B(n43), .C(\add_9/carry[2] ), .YC(
        \add_9/carry[3] ), .YS(N5) );
    FAX1 \add_9/U1_7  ( .A(\out[7] ), .B(n38), .C(\add_9/carry[7] ), .YC(), 
        .YS(N10) );
    FAX1 \add_9/U1_6  ( .A(\out[6] ), .B(n39), .C(\add_9/carry[6] ), .YC(
        \add_9/carry[7] ), .YS(N9) );
    FAX1 \add_9/U1_1  ( .A(\out[1] ), .B(n44), .C(\add_9/carry[1] ), .YC(
        \add_9/carry[2] ), .YS(N4) );
    PADINC U22 ( .DI(n48), .YPAD(reset) );
    PADINC U23 ( .DI(n47), .YPAD(clk) );
    PADINC U24 ( .DI(n46), .YPAD(dir) );
    PADINOUT U25 ( .DI(n45), .DO(n23), .OEN(n46), .YPAD(\bus[0] ) );
    INVX1 U26 ( .A(n18), .Y(n23) );
    PADINOUT U27 ( .DI(n44), .DO(n25), .OEN(n46), .YPAD(\bus[1] ) );
    INVX1 U28 ( .A(n17), .Y(n25) );
    PADINOUT U29 ( .DI(n43), .DO(n27), .OEN(n46), .YPAD(\bus[2] ) );
    INVX1 U30 ( .A(n16), .Y(n27) );
    PADINOUT U31 ( .DI(n42), .DO(n29), .OEN(n46), .YPAD(\bus[3] ) );
    INVX1 U32 ( .A(n15), .Y(n29) );
    PADINOUT U33 ( .DI(n41), .DO(n31), .OEN(n46), .YPAD(\bus[4] ) );
    INVX1 U34 ( .A(n14), .Y(n31) );
    PADINOUT U35 ( .DI(n40), .DO(n33), .OEN(n46), .YPAD(\bus[5] ) );
    INVX1 U36 ( .A(n13), .Y(n33) );
    PADINOUT U37 ( .DI(n39), .DO(n35), .OEN(n46), .YPAD(\bus[6] ) );
    INVX1 U38 ( .A(n12), .Y(n35) );
    PADINOUT U39 ( .DI(n38), .DO(n37), .OEN(n46), .YPAD(\bus[7] ) );
    INVX1 U40 ( .A(n11), .Y(n37) );
    PADNC pad0();
    PADNC pad1();
    PADNC pad2();
    PADNC pad3();
    PADNC pad4();
    PADNC pad5();
    PADNC pad6();
    PADNC pad7();
    PADNC pad8();
    PADNC pad9();
    PADNC pad10();
    PADNC pad11();
    PADNC pad12();
    PADNC pad13();
    PADNC pad14();
    PADNC pad15();
    PADNC pad16();
    PADNC pad17();
    PADNC pad18();
    PADNC pad19();
    PADNC pad20();
    PADNC pad21();
    PADNC pad22();
    PADNC pad23();
    PADNC pad24();
    PADNC pad25();
    PADNC pad26();
    PADFC corner1();
    PADFC corner2();
    PADFC corner3();
    PADFC corner4();
    PADVDD vdd1( .Y(vdd) );
    PADGND gnd1( .Y(gnd) );
endmodule

