
module accu ( in, out, clk, reset );
input  [7:0] in;
output [7:0] out;
input  clk, reset;
    wire N11, N12, N13, N14, N15, N16, N17, N18, N4, N5, N6, N7, N8, N9, N10, 
        n1, n2, \add_9/carry[4] , \add_9/carry[2] , \add_9/carry[6] , 
        \add_9/carry[7] , \add_9/carry[3] , \add_9/carry[5] , \add_9/carry[1] ;
    NOR2X1 U3 ( .A(n1), .B(reset), .Y(N11) );
    XNOR2X1 U4 ( .A(in[0]), .B(out[0]), .Y(n1) );
    AND2X1 U5 ( .A(out[0]), .B(in[0]), .Y(\add_9/carry[1] ) );
    AND2X1 U6 ( .A(N10), .B(n2), .Y(N18) );
    AND2X1 U7 ( .A(N9), .B(n2), .Y(N17) );
    AND2X1 U8 ( .A(N8), .B(n2), .Y(N16) );
    AND2X1 U9 ( .A(N7), .B(n2), .Y(N15) );
    AND2X1 U10 ( .A(N6), .B(n2), .Y(N14) );
    AND2X1 U11 ( .A(N5), .B(n2), .Y(N13) );
    AND2X1 U12 ( .A(N4), .B(n2), .Y(N12) );
    INVX1 U13 ( .A(reset), .Y(n2) );
    DFFPOSX1 \out_reg[0]  ( .CLK(clk), .D(N11), .Q(out[0]) );
    DFFPOSX1 \out_reg[1]  ( .CLK(clk), .D(N12), .Q(out[1]) );
    DFFPOSX1 \out_reg[2]  ( .CLK(clk), .D(N13), .Q(out[2]) );
    DFFPOSX1 \out_reg[3]  ( .CLK(clk), .D(N14), .Q(out[3]) );
    DFFPOSX1 \out_reg[4]  ( .CLK(clk), .D(N15), .Q(out[4]) );
    DFFPOSX1 \out_reg[5]  ( .CLK(clk), .D(N16), .Q(out[5]) );
    DFFPOSX1 \out_reg[6]  ( .CLK(clk), .D(N17), .Q(out[6]) );
    DFFPOSX1 \out_reg[7]  ( .CLK(clk), .D(N18), .Q(out[7]) );
    FAX1 \add_9/U1_5  ( .A(out[5]), .B(in[5]), .C(\add_9/carry[5] ), .YC(
        \add_9/carry[6] ), .YS(N8) );
    FAX1 \add_9/U1_4  ( .A(out[4]), .B(in[4]), .C(\add_9/carry[4] ), .YC(
        \add_9/carry[5] ), .YS(N7) );
    FAX1 \add_9/U1_3  ( .A(out[3]), .B(in[3]), .C(\add_9/carry[3] ), .YC(
        \add_9/carry[4] ), .YS(N6) );
    FAX1 \add_9/U1_2  ( .A(out[2]), .B(in[2]), .C(\add_9/carry[2] ), .YC(
        \add_9/carry[3] ), .YS(N5) );
    FAX1 \add_9/U1_7  ( .A(out[7]), .B(in[7]), .C(\add_9/carry[7] ), .YC(), 
        .YS(N10) );
    FAX1 \add_9/U1_6  ( .A(out[6]), .B(in[6]), .C(\add_9/carry[6] ), .YC(
        \add_9/carry[7] ), .YS(N9) );
    FAX1 \add_9/U1_1  ( .A(out[1]), .B(in[1]), .C(\add_9/carry[1] ), .YC(
        \add_9/carry[2] ), .YS(N4) );
endmodule

